"""
celery tasks for installations
"""

from django.conf import settings

from django.utils.translation import ugettext_lazy as _
from utils import reports as utils_reports
from utils.versioning.models import Version, WorkVersion

def mail_overview_report(user, language, choices, version_id=None):
    from installations.views.main import get_overview_report
    if not version_id:
        version = WorkVersion
    else:
        version = Version.objects.get(pk=version_id)
    pdf = get_overview_report(user, language, choices, version)
    reference = _('Site Breakdown Structure')
    utils_reports.send_mail(pdf, user, language=language, reference=reference)

if settings.USE_CELERY:
    from celery.task import task
    mail_overview_report = task(mail_overview_report)
