from django import forms
from django.contrib.contenttypes.models import ContentType
from django.utils.translation import ugettext_lazy as _

from utils.links.models import Link
from utils.versioning.versionedforms import VersionedForm, VersionedSheet

class LinkForm(VersionedForm):
    class Meta:
        model = Link
        fields = ('name', 'url')
        attrs = {
            'name': {'size':75},
            'url': {'size':75},
        }

class LinkSheet(VersionedSheet):
    class Meta:
        model = Link
        fields = ('name', 'url')
