from django.conf import settings
from django.utils.translation import ugettext_lazy as _

from utils import tables
import utils.news.models as app_models

class EntriesTable(tables.ModelTable):
    title = tables.Column(
            verbose_name = _('Entry'),
            link = lambda x: x.data.get_absolute_url(),
        )
    date_created = tables.DateColumn(
            verbose_name = _('Date'),
            format = settings.DATE_OUTPUT_FORMAT
        )

    class Meta:
        model = app_models.Entry
        columns = ('title', 'date_created',)


