from django.contrib import admin
from utils.versioning import models as app_models

class VersionedModelAdmin(admin.ModelAdmin):
    """
    Base ModelAdmin for versioned model objects
    """
    def save_model(self, request, obj, form, change):
        obj.save(request.user)

class VersionAdmin(VersionedModelAdmin):
    pass

admin.site.register(app_models.Version, VersionAdmin)
